import Qt 4.7
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	headerString:			context.Localize("ActivationHasLicense_Header")
	backButtonEnabled:		true
	nextButtonEnabled:		true
	cancelButtonEnabled:	true
	objectName: "ActivationHasLicense"

	Column
	{
		id: 			licenseInfo
		anchors.top:	parent.top
		anchors.left:	parent.left
		anchors.right:	parent.right
		spacing:		7

		Widgets.StaticLabel
		{
			caption: context.Localize("ActivationHasLicense_TypeOfProgram")
			value: context.ResolveParameter("LicenseFromOtherProductProductName")

		}
		Widgets.StaticLabel
		{
			caption: context.Localize("ActivationHasLicense_TypeOfLicense")
			value: context.Localize("ActivationManager_LicenseFromOtherProduct_LicenseTypeDescription")
		}
		Widgets.StaticLabel
		{
			caption: context.Localize("ActivationHasLicense_DateOfExpirations")
			value: context.ResolveParameter("LicenseFromOtherProduct_ExpirationDate")
		}
	}
	Text
	{
		id: actionText
		anchors.top: licenseInfo.bottom
		anchors.topMargin: 30
		anchors.left:	parent.left
		anchors.right:	parent.right

		text: context.Localize("ActivationHasLicense_ActionText")
		font: activationWizard.standartFontStyles.standardSectionCaptionFont
	}
	Column
	{
		id: selectionBlock
		objectName: "selectionBlock"
		anchors.top: actionText.bottom
		anchors.topMargin: 18
		anchors.left:	parent.left
		anchors.right:	parent.right
		spacing:		12

		Widgets.RadioGroup		{id: selectionForUsingCurrentLicense}

		Widgets.RadioButton
		{
			id:					selectionForChangeProductType
			objectName: "selectionForChangeProductType"
			anchors.left:		parent.left
			anchors.right:		parent.right
			color: 				"transparent"
			horizontalMargin:	7
			text:				context.Localize("ActivationHasLicense_ReturnToPrevProduct")
			checked:			true
			group:				selectionForUsingCurrentLicense
			textVerticalMargin: 1
			
			onCheckedChanged:
			{
				if (checked)
					context.CodeFromAnotherProductUserChoice = "UserChoice_Migrate";
			}			
		}

		Widgets.RadioButton
		{
			id:					selectionForActivateWithNewCode
			objectName: "selectionForActivateWithNewCode"
			anchors.left:		parent.left
			anchors.right:		parent.right
			color: 				"transparent"
			horizontalMargin:	7
			text:				context.Localize("ActivationHasLicense_UseNewLicenseText")
			group:				selectionForUsingCurrentLicense
			textVerticalMargin: 1
			onCheckedChanged:
			{
				if (checked)
					context.CodeFromAnotherProductUserChoice = "UserChoice_ActivateWithNewCode";
			}				
		}
	}

	function onNext()
	{
		context.ProcessUserChoice();
	}
    	function onHelp() { Help.Show(47152); }
}

