import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	Component.onCompleted: {
		var activationReason = EnumHelper.getKey(context, "ActivationReason");
		if (activationReason == "ActivationReason_SubscriptionUpdate" || 
			activationReason == "ActivationReason_TrialKis" ||
			activationReason == "ActivationReason_PreinstalledCodeActivation" ||
			activationReason == "ActivationReason_ReserveCodeActivationOverInactiveLicense" ||
			activationReason == "ActivationReason_CheckReserveCode")
		{
			context.StartActivation();
		}
	}
	
	headerString:		context.Localize("CheckActivationCodeString")
	backButtonEnabled:	context.BackButtonEnabled
	helpButtonVisible: 	false
	pageCanBeStacked:	false;
	Column
	{
		anchors.left:				parent.left
		anchors.right:				parent.right
		anchors.verticalCenter:		parent.verticalCenter
		AnimatedImage
		{
			anchors.horizontalCenter:		parent.horizontalCenter
			source:							"../common/images/loader_48.gif"
		}
		Item {width: parent.width; height: 18 }
		Text
		{
			horizontalAlignment:			Text.AlignHCenter
			width:							parent.width
			wrapMode:						Text.Wrap
			text:							context.Localize("TextForWaitingActivation")
			font:							activationWizard.fontStyles.stateTextForWaitingActivation
		}
		Item {width: parent.width; height: 2 }
		Text
		{
			horizontalAlignment:			Text.AlignHCenter
			width:							parent.width
			wrapMode:						Text.Wrap
			text:							context.ActivationProgressString
			font:							activationWizard.fontStyles.reasonTextForWaitingActivation
		}
	}

	function onBack()
	{
		activationWizard.backToPreviosPage();
	}
	function onCancel()
	{
		context.CancelActivation();
	}
	function onClose()
	{
		context.CancelActivation();
	}
}

