import Qt 4.7
import "../EnumHelper.js" as EnumHelper

Rectangle
{
	id: messageBox
	objectName: "messageBox"

	property alias text:				message.text
	property alias font:				message.font
	property alias textcolor:			message.color
	property alias buttonsHeight:		buttons.height
	property alias buttonsWidth:		buttons.buttonsWidth

	color:								"transparent"

	property alias leftButtonText:		leftButton.text
	property alias rightButtonText:		rightButton.text

	signal leftClicked
	signal rightClicked

	Item
	{
		id:			messageBoxArea
		objectName: "messageBoxArea"
		width: 		messageBox.width - 2 * x
		height:		buttons.height + buttons.y
		x:			20
        y:			(messageBox.height - height) / 2 + 6

		Text
		{
			id:							message
			width:						messageBoxArea.width
			horizontalAlignment:		Text.AlignHCenter
			wrapMode: 					Text.Wrap
			text: 						messageBox.text
		}

		Item
		{
			id: 					buttons
			objectName: "buttons"
			width:					messageBoxArea.width
			property int buttonsWidth:	60
			height:						30

			anchors.top:			message.bottom
            anchors.topMargin:		16

			GrayButton
			{
				id: 			leftButton

				buttonWidth:	buttons.buttonsWidth
				buttonHeight:	messageBox.buttonsHeight

                anchors.rightMargin:	4
                anchors.right:			parent.horizontalCenter

				onClicked: leftClicked()
			}

			GrayButton
			{
				id: 			rightButton
				buttonWidth:	buttons.buttonsWidth
				buttonHeight:	messageBox.buttonsHeight

                anchors.leftMargin:	4
                anchors.left:		parent.horizontalCenter

				onClicked: rightClicked()
			}
		}
	}
}
