import Qt 4.7
import "../fonts" as Fonts
import "../Colors.js" as Colors

Item
{
	id: hyperlink
	property string text
	property bool underline: true
    property alias color: text.color
	signal clicked

	property variant standartFontStyles: Fonts.Common{}
	property alias horizontalAlignment: text.horizontalAlignment
	property alias font: text.font
    property alias elide: text.elide
	width: text.paintedWidth
	height: text.paintedHeight

	Text
	{
		id: text
		anchors.fill: parent
		text: hyperlink.text
        color: enabled ? Colors.hyperlinkColor : "gray"
		font: standartFontStyles.standardCommonTextFont
	}

	Binding
	{
		target: text
		property: "font.underline"
		value: hyperlink.underline
	}

	MouseArea
	{
		anchors.fill: text
		hoverEnabled: true
		Clickable {}
		onPressed: hyperlink.clicked()
	}
}
