import Qt 4.7
import "../common/fonts" as Fonts

Column
{
	property variant fontStyles: Fonts.Online{}
	property variant context: MainWindow.online

    y: 1
	spacing: 10
	Text
	{
		anchors.right: parent.right
		text : context.Localize("LastConnectedText") + context.CloudInfo.lastOnlineTime
		font: fontStyles.normal
	}
	
	Item
	{	
		id: reputationScaleBar
		width : parent.width
		height: childrenRect.height
		
		Image
		{ 
			id: bar
			source: "../common/images/ksn/bars.png"
		}
		
        Item
        {
            id: space
            anchors.top: bar.bottom
            width: parent.width
            height: 3
        }

		DataItem
		{
            anchors.top: space.bottom
			dataType:	"ThreatSafe"
			objects:	context.CloudInfo.threatSafe
			postfix:	"ThreatSafeCount"			
		}
		DataItem
		{
            anchors.top: space.bottom
			x: 160
			dataType:	"ThreatMalware"
			objects:	context.CloudInfo.threatMalware
			postfix:	"ThreatMalwareCount"			
		}
		DataItem
		{
            anchors.top: space.bottom
			x: 320
			dataType:	"ThreatPending"
			objects:	context.CloudInfo.threatPending
			postfix:	"ThreatPendingCount"			
		}
	}
	
	Column
	{
		spacing: 4
		
        Item{ height: 7; width: parent.width}
		
		Text
		{
			text: context.Localize("Ksn_LastInfo")
			font: fontStyles.normal
		}
		
		Row
		{
			Text
			{ 
				text: context.Localize("Ksn_UsersProtected") 
				font: fontStyles.normal
			}
			Text
			{
				text: context.CloudInfo.usersProtected
				font: fontStyles.boldNormal
			}
		}
		
		Row
		{
			Text
			{ 
				text: context.Localize("Ksn_ThreatsDetected") 
				font: fontStyles.normal
			}				
			Text
			{
				text: context.CloudInfo.threatsDetected
				font: fontStyles.boldNormal
			}
		}
	}
}

