import Qt 4.7
import "../common/Common.js" as Common
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../common/Margins.js" as Margins

Rectangle
{
    id:page
    objectName: "notActivatedPage"
    property variant model : MainWindow.licenseManager
    property variant commonFontStyles: Fonts.Common{}

    function getButtonIcon(buttonIcon)
    {
        var map = {
           0 :"", //"NoIcon"
           1 :"../images/license/ico_buy_16_gray.png", //"BuyIcon"
           2 :"../images/license/BackToKAV_ico.png", //"RollbackIcon"
           3 :"../images/license/ico_support_16_gray.png", //"SupportIcon"
           4 :"../images/license/ico_download_file_16_gray.png", //"DownloadIcon"
           5 :"../images/license/ico_remove_code_16_gray.png"}; //"TrashIcon"
        return map[buttonIcon];
    }

    Column
    {
        anchors.centerIn:parent
        width:400
        objectName: "column"
        Widgets.StandardCaptionText
        {
            id: title
            anchors.horizontalCenter:parent.horizontalCenter
            text: page.model.ActiveLicenseBlockHeader
        }
        Item { height: Margins.verticalCaptionToCommonText; width: parent.width; }
        Text
        {
            id: description
            width:parent.width
            anchors.horizontalCenter:parent.horizontalCenter
            text: page.model.ActiveLicenseBlockText
            font:commonFontStyles.standardCommonTextFont
            wrapMode: Text.WordWrap
            horizontalAlignment:Text.AlignHCenter
            visible: text != ""
            lineHeight: Margins.commonTextLineHeight
        }
        Item { height: Margins.verticalCommonTextToWidget; width: parent.width; }
        Row
        {
            spacing:8
            anchors.horizontalCenter:parent.horizontalCenter
            objectName: "row"

            Repeater
            {
				objectName: "repeater"
                model: page.model.ActiveLicenseBlockButtonList;
                Widgets.GrayButton
                {
					id: grayButton
					objectName: model.modelData.objectName
                    text: model.modelData.name
                    iconImage:page.getButtonIcon(model.modelData.icon);
                    maxWidth: 300
                    onClicked:
                    {
                        if(model.modelData.action != undefined)
                            model.modelData.action.Invoke(Common.buildPath(parent)+"."+grayButton.objectName);
                        else if(model.modelData.panel != "") ; //TODO: panel navigation

                    }
                }
            }
        }
    }
}
