import Qt 4.7

Item
{
    id: innerPanel
    signal back
    signal home
    signal activate(string panelName)
    property bool canHome: parent.canHome(innerPanel)
    property string file
    property alias item: loader.item
    function show()
    {
        loader.source = file
        visible = true
        if (loader.item.onShow)
            loader.item.onShow()
    }
    function hide()
    {
        if (loader.item.onHide)
            loader.item.onHide()
        visible = false
        if (loader.item.unloadable)
            loader.source = ""
    }
    property variant prev // previous InnerPanel in list of left-sided panels
    property variant next // next InnerPanel in list of left-sided panels

    objectName: "innerPanel"
    width: parent.width
    height: parent.height

    Loader
    {
        anchors.fill: parent
        id: loader
        objectName: "innerPanelLoader"
        Connections
        {
            ignoreUnknownSignals: true
            target: loader.item
            onBack: innerPanel.back()
            onHome: innerPanel.home()
            onActivate: innerPanel.activate(panelName)
        }
        Binding
        {
            target: loader.item
            property: "canHome"
            value: innerPanel.canHome
            when: loader.status == Loader.Ready
        }
    }
}
