import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets

Item
{
    id: panelCaption
    signal back
    signal home
    objectName: "caption"
    width: parent.width
    height: 35

    property alias canHome: homeButton.visible
    property alias caption: caption.text
    property variant commonFontStyles: Fonts.Common{}

    Widgets.Button
    {
        id: gobackButton
        objectName: "goBack"
                x: 7;
        y: 5;
        buttonHeight: 27
        backgroundImage: "../images/inner/back_normal.png";
        hoverImage: "../images/inner/back_hover.png";
        pressedImage: "../images/inner/back_pressed.png";
        minWidth: 70
        borderWidth: 20
        textcolor: "#414141"
        textStyle: Text.Raised
        textStyleColor: "#ffffff"
        text: MainWindow.Localize("Back");
        onClicked: panelCaption.back()
    }

    Widgets.CaptionButton
    {
        id: homeButton
        objectName: "Home"
        anchors.left: gobackButton.right
        anchors.leftMargin: 4
        iconImage: "../images/inner/ico_home.png";
        minWidth: 0
        onClicked: panelCaption.home()
    }

    Text
    {
        id: caption
        smooth: true
        font: commonFontStyles.standardSectionCaptionFont
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 1
        color: "#202020"
    }
}
