import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	caption: MainWindow.Localize("ProblemListPanelName")
	property int helpId: 44712
	objectName:	"problemList"

	captionArea: Item
	{
		clip:           false
		objectName:	"captionArea"

		Widgets.CaptionButton
		{
			objectName:	"Neutralized"
			text:		MainWindow.Localize("NeutralizedThreats")
			onClicked:	MainWindow.InvokeSkinAction("window(\"MainReport:Threats\")")
		}
	}

	viewArea : Component
	{
		Item
		{
			objectName:	"viewArea"
			property variant commonFontStyles: Fonts.Common{}
			QtObject
			{
				id:style
				// style properties for section header
				property color sectionHeaderColor: "#ededed"

				// style properties for item delegate
				property color itemColor: "transparent"
				property color itemBorderColor: "transparent"
			}

			anchors.fill: parent
			clip: true;

			Widgets.EmptyListText
			{
				id: emptyListText
				text: MainWindow.Localize("ProblemListNoProblem")
				visible: !virtualList.visible
			}

			Component
			{
				id: itemDelegate
				ProblemListItem	{ }
			}
			
			Component
			{
				id: sectionDelegate
				SectionHeader { }
			}
					
			GroupedVirtualList
			{
				id: virtualList
				objectName:	"groupedVirtualList"
				anchors.fill: parent
				model: MainWindow.problemList
				delegate: itemDelegate
				sectionDelegate: sectionDelegate
				Widgets.DpiScaler { id: dpiScaler }
				property real unit: dpiScaler.factor
				itemHeights: [125 * unit, 95 * unit, 125 * unit, 125 * unit, 115 * unit ]
				sectionHeight: 30 * unit
				focus: true
				clip: true
				visible: contentHeight > 0
			}

			Widgets.FlickableScrollBar
			{
				id: scroll
				anchors.right: parent.right
				anchors.rightMargin: 5
				anchors.verticalCenter: parent.verticalCenter
				height: parent.height - 10
				target: virtualList
			}
		}
	}
}

