import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	objectName: "SafeWebSitesBrowsing"
	caption: MainWindow.Localize("SafeWebSitesBrowsing")
	property int helpId: 44119

	viewArea: Component
	{
		Item
		{
			objectName: "safewebViewArea"
			property variant context: MainWindow.sandbox
			property variant commonFontStyles: Fonts.Common {}
			anchors.fill: parent
			Image
			{
				id: bigIcon
				anchors.top: workingArea.top
                anchors.topMargin: 2
				anchors.horizontalCenter: parent.left
				anchors.horizontalCenterOffset: workingArea.x / 2
				source: "../common/images/sandbox/ico_safe_browser_48.png"
				fillMode: Image.PreserveAspectFit
				anchors.left: parent.left
			}
			Item
			{
				id: workingArea
				anchors.left:		parent.left
				anchors.leftMargin: 107
				anchors.right:		parent.right
				anchors.rightMargin: 30
				anchors.top: parent.top
				anchors.topMargin: 45

                Widgets.StandardCaptionText
				{
					id: safeBrowserDescription
					text: context.Localize("SafeBrowseCaption")
				}

				Text
				{
					id: descriptionText
					anchors.top: safeBrowserDescription.bottom
                    anchors.topMargin: 6
					anchors.right: parent.right
					anchors.left: parent.left
					text: context.Localize("SafeBrowseDescription")
					font: commonFontStyles.standardCommonTextFont
					wrapMode: "WordWrap"
                    lineHeight: 1.1
				}

				Widgets.ComboButtonGreen
				{
					id: openSafeBrowserButton
					anchors.top: descriptionText.bottom
                    anchors.topMargin: 12
					objectName: "OpenSafeBrowserAction"
					actionList: context.SafeBrowserActions
					property QtObject tempElement
					onPressed:
					{
						if(index < actionList.length)
						{
							tempElement = actionList[index];
							if(tempElement.action != undefined)
								tempElement.action.Invoke()
						}
					}
				}

				Text
				{
					id: safeBrowserFolderCaption
					anchors.top: openSafeBrowserButton.bottom
                    anchors.topMargin: 24
					text:  context.Localize("SafeFolder")
					font: commonFontStyles.standardBoldSubHeadingFont
					wrapMode: "WordWrap"
				}

				Text
				{
					id: safeBrowserFolderDescription
					anchors.top: safeBrowserFolderCaption.bottom
                    anchors.topMargin: 6
					width: parent.width
					text:  context.Localize("SafeBrowserFolderDescription")
					font: commonFontStyles.standardCommonTextFont
					wrapMode: "WordWrap"
                    lineHeight: 1.1
				}

				Widgets.GrayButton
				{
					// fixed buttons position independent to localization
					id: openSafeBrowserFolderButton
					anchors.top: safeBrowserFolderDescription.bottom
					anchors.topMargin: 10
					objectName: "OpenSafeBrowserFolderAction"
					text: context.Localize("SafeFolderAction")
					onClicked:
					{
						context.OpenSafeFolderAction.Invoke()
					}
				}
			}
		}
	}
}
