import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../common/border" as Border

Border.BorderedContent
{
    content: installFinished
    objectName: "rebootPage"
   
    Widgets.PageFrame
    {
        id:	installFinished
        objectName: "installFinished"
        property variant context: RebootPage
        property variant fontStyles: Fonts.Common{}

        windowDescriptionText: context.Localize("RebootPageHeader")
        helpButtonVisible: false
        cancelButtonText: context.Localize("FinishButton")
        onCancel: finish()
        signal finish
        clip: true

        Item
        {
            id: workingArea
            objectName: "workingArea"
            anchors.fill: parent
            clip: true
            
            anchors.topMargin: 29
            anchors.leftMargin: 164 /* banner width */  + 10 /*left border*/
            anchors.bottomMargin: 43
            anchors.rightMargin: 10

            Column
            {
                anchors.fill: parent
                anchors.topMargin:		40
                anchors.leftMargin:		40
                anchors.rightMargin:	40
                spacing:		40
                clip: true
                objectName: "column"

                Widgets.StandardCaptionText
                {
                    id: headerText
                    anchors.left: parent.left
                    anchors.right: parent.right
                    text: installFinished.context.Localize("RebootPageHeaderText")
                }

                Text
                {
                    id: infoText
                    anchors.left: parent.left
                    anchors.right: parent.right
                    text: installFinished.context.Localize("RebootPageInfoText")
                    wrapMode: Text.Wrap
                    font: installFinished.fontStyles.standardCommonTextFont
                }

                Widgets.CheckBox
                {
                    id: rebootCheckbox
                    objectName: "rebootCheckbox"
                    checked: true
                    text: installFinished.context.Localize("RebootPageCheckboxRebootText")
                }
            }
        }

        onFinish:
        {
            if (rebootCheckbox.checked)
                context.Reboot();
            else
                context.Cancel();
            Window.Close();
        }

        onClose:
        {
            context.Cancel();
            Window.Close();
        }
    }
}
